shadow/tests/convtools/09_grpunconv_error_group_locked/grpunconv.test
Serge Hallyn b999d48941 Add tests from the old svn tree
We're losing the svn history (which we could probably keep if we tried
hard enough) but don't consider that worthwhile.

Note these tests are destructive, so run them only in a throwaway
environment like a chroot, container, or vm.

The tests/run.all script should be the one which launches all the tests.

Signed-off-by: Serge Hallyn <serge.hallyn@ubuntu.com>
2014-09-17 14:42:55 -05:00

63 lines
1.4 KiB
Bash
Executable File

#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "grpunconv checks if the group file is locked"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config; rm -f /etc/group.lock' 0
change_config
echo -n "Create lock file for /etc/group..."
touch /etc/group.lock
echo "done"
echo -n "Convert the group files (grpunconv)..."
grpunconv 2>tmp/grpunconv.err && exit 1 || {
status=$?
}
echo "OK"
echo -n "Delete lock file for /etc/group..."
rm -f /etc/group.lock
echo "done"
echo -n "Check returned status ($status)..."
test "$status" = "5"
echo "OK"
echo "grpunconv reported:"
echo "======================================================================="
cat tmp/grpunconv.err
echo "======================================================================="
echo -n "Check that there were a failure message..."
diff -au data/grpunconv.err tmp/grpunconv.err
echo "error message OK."
rm -f tmp/grpunconv.err
echo -n "Check the passwd file..."
../../common/compare_file.pl config/etc/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../common/compare_file.pl config/etc/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../common/compare_file.pl config/etc/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
../../common/compare_file.pl config/etc/gshadow /etc/gshadow
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0